Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.ide.inspector.util.property
Class RwiInspectorProperty

    java.lang.Object
      |
      +--java.beans.FeatureDescriptor
            |
            +--com.togethersoft.openapi.ide.inspector.IdeInspectorProperty
                  |
                  +--com.togethersoft.openapi.ide.inspector.util.property.RwiInspectorProperty

Direct Known Subclasses:
  RwiInspectorBooleanProperty, RwiInspectorColorProperty, RwiInspectorIntegerProperty, RwiInspectorInversedBooleanProperty, RwiInspectorMultipleStringProperty, RwiInspectorStringProperty

public abstract class RwiInspectorProperty
extends IdeInspectorProperty

Represents abstract implementation of InspectorProperty suited to works with properties of selected RwiElements. This class is extended by other RwiInspector*Property classes which represent certain RWI properties.

Author:
  TogetherSoft

Field Summary
`protected boolean` | `myEnforceReadOnly`
`protected String` | `myPropertyName`
`protected boolean` | `myReadableFlag`
`protected RwiPropertyMap[]` | `myRwiPropertyMaps`
`protected Object` | `myValue`
`protected boolean` | `myWritableFlag`

Fields inherited from class com.togethersoft.openapi.ide.inspector.IdeInspectorProperty
`MULTI_VALUE_TAG, PROP_VALUE, UNDEFINED_VALUE`

Constructor Summary
`protected` | `RwiInspectorProperty(RwiPropertyMap[] rwiPropertyMaps, String propertyName, Class valueType)` Constructs RwiInspectorProperty without a property editor class.
`protected` | `RwiInspectorProperty(RwiPropertyMap[] rwiPropertyMaps, String propertyName, Class valueType, Class editorClass)` Constructs RwiInspectorProperty with a property editor class.

Method Summary
`void` | `enforceReadOnly()`
`Object` | `getValue()` Returns internal value.
`protected static boolean` | `isDeleted(RwiPropertyMap map)` Checks whether RwiElement (RwiReference) is deleted from model.
`boolean` | `isReadable()` Checks whether it is possible to read value.
`boolean` | `isWritable()` Checks whether it is possible to store value.
`protected abstract void` | `loadValue()` Loads property value of selected RwiElements (RwiReferences) from RwiModel and stores it.
`void` | `setValue(Object value)` Saves value internally and forces changes of value in all selected elements from RwiModel.
`protected abstract void` | `storeValue()` Stores property value of selected RwiElements (RwiReferences) to RwiModel.
`void` | `update()` Synchronize Internal value with value from RwiModel.

Methods inherited from class com.togethersoft.openapi.ide.inspector.IdeInspectorProperty
`addPropertyChangeListener, canSetValue, firePropertyChange, getPropertyEditor, getValueType, removePropertyChangeListener, setPropertyEditor`

Methods inherited from class java.beans.FeatureDescriptor
`getName, setName, getDisplayName, setDisplayName, isExpert, setExpert, isHidden, setHidden, isPreferred, setPreferred, getShortDescription, setShortDescription, setValue, getValue, attributeNames`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, clone, toString, notify, notifyAll, wait, wait, wait, finalize`

Field Detail

### myEnforceReadOnly

    protected boolean myEnforceReadOnly

### myPropertyName

    protected String myPropertyName

### myReadableFlag

    protected boolean myReadableFlag

### myRwiPropertyMaps

    protected RwiPropertyMap[] myRwiPropertyMaps

### myValue

    protected Object myValue

### myWritableFlag

    protected boolean myWritableFlag

Constructor Detail

### RwiInspectorProperty

    protected RwiInspectorProperty(RwiPropertyMap[] rwiPropertyMaps, String propertyName, Class valueType)

  Constructs RwiInspectorProperty without a property editor class.
  Parameters:
    rwiPropertyMaps - Array of selected RwiElements or RwiReferences
    propertyName - Name of property of selected elements
    valueType - Class which is the type of property value

### RwiInspectorProperty

    protected RwiInspectorProperty(RwiPropertyMap[] rwiPropertyMaps, String propertyName, Class valueType, Class editorClass)

  Constructs RwiInspectorProperty with a property editor class.
  Parameters:
    rwiPropertyMaps - Array of selected RwiElements or RwiReferences
    propertyName - Name of property of selected elements
    valueType - Class which is the type of property value
    editorClass - Class which will be used as the editor for this property

Method Detail

### enforceReadOnly

    public void enforceReadOnly()

### getValue

    public Object getValue()

  Returns internal value. Do not looks at RwiModel.
  Returns: Value of property

### isDeleted

    protected static boolean isDeleted(RwiPropertyMap map)

  Checks whether RwiElement (RwiReference) is deleted from model.
  Parameters:
    map - RwiElement (RwiReference) to be checked
  Returns: true if so, false otherwise

### isReadable

    public boolean isReadable()

  Checks whether it is possible to read value.
  Returns: true if so, false otherwise

### isWritable

    public boolean isWritable()

  Checks whether it is possible to store value.
  Returns: true if so, false otherwise

### loadValue

    protected abstract void loadValue()

  Loads property value of selected RwiElements (RwiReferences) from RwiModel and stores it.

### setValue

    public void setValue(Object value)

  Saves value internally and forces changes of value in all selected elements from RwiModel.
  Parameters:
    value - New value

### storeValue

    protected abstract void storeValue()

  Stores property value of selected RwiElements (RwiReferences) to RwiModel.

### update

    public void update()

  Synchronize Internal value with value from RwiModel. Just calls loadValue() method.

Association Links

to Class com.togethersoft.openapi.rwi.RwiPropertyMap

to Class java.lang.String

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD